Bug 1249772 - [RFE] Service :quota : Should be able to apply VM quota to service
[RFE] Service :quota : Should be able to apply VM quota to service
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Tina Fitzgerald
Dave Johnson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 14:42 EDT by Shveta
Modified: 2015-11-11 15:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-15 10:00:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shveta 2015-08-03 14:42:16 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. No way to provision a catalog item with more than one VM and gence can't apply VM quota to service .
2.  Tried two catalog items with one VM each and then created a catalog bundle with these two items . But VM quota still doesn't apply
3.

Actual results:


Expected results:


Additional info:
 5.4.1.0.20150717083323_6ed7e1c
Comment 3 Tina Fitzgerald 2015-08-31 10:11:21 EDT
Hi Shveta,

Do you have an environment setup to test this issue?

Thanks,
Tina
Comment 4 Shveta 2015-08-31 12:30:29 EDT
Hi Tina, 
The environment i used has expired now.
But the issues does not need any special set up .
Just provision two catalog items and add them to a catalog bundle .
Tag the catalog bundle with maximum VM quota = 1 . 
Provision the catalog bundle , it provision two VMs.
Comment 7 Tina Fitzgerald 2015-09-15 10:00:57 EDT
Quota happens during request processing. 
Since only the service request gets processed during service provisioning, the VM request is not processed and VM quota is not available.
Comment 8 CFME Bot 2015-10-14 17:43:06 EDT
Detected commit referencing this ticket while ticket status is CLOSED.
Comment 10 CFME Bot 2015-10-16 16:36:13 EDT
Detected commit referencing this ticket while ticket status is CLOSED.
Comment 12 CFME Bot 2015-10-16 16:36:58 EDT
Detected commit referencing this ticket while ticket status is CLOSED.
Comment 13 CFME Bot 2015-10-20 10:27:15 EDT
Detected commit referencing this ticket while ticket status is CLOSED.
Comment 15 CFME Bot 2015-10-20 10:28:00 EDT
Detected commit referencing this ticket while ticket status is CLOSED.
Comment 16 CFME Bot 2015-10-20 10:28:35 EDT
Detected commit referencing this ticket while ticket status is CLOSED.
Comment 17 CFME Bot 2015-10-21 10:02:32 EDT
Detected commit referencing this ticket while ticket status is CLOSED.
Comment 18 CFME Bot 2015-10-21 12:01:22 EDT
Detected commit referencing this ticket while ticket status is CLOSED.
Comment 19 CFME Bot 2015-10-23 12:43:45 EDT
Detected commit referencing this ticket while ticket status is CLOSED.
Comment 20 CFME Bot 2015-10-23 12:46:54 EDT
Detected commit referencing this ticket while ticket status is CLOSED.
Comment 21 CFME Bot 2015-10-23 15:50:09 EDT
Detected commit referencing this ticket while ticket status is CLOSED.
Comment 22 CFME Bot 2015-10-26 23:05:53 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/1250288dd7bc98b8975a4fa264f2fb12addadf66

commit 1250288dd7bc98b8975a4fa264f2fb12addadf66
Author:     Tina Fitzgerald <tfitzger@redhat.com>
AuthorDate: Mon Sep 14 11:35:52 2015 -0400
Commit:     Tina Fitzgerald <tfitzger@redhat.com>
CommitDate: Fri Oct 23 15:48:27 2015 -0400

    Consolidating quota code to help facilitate resolution for the
    following issues:
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1254211
     when quota exceeds Group Allocated Memory always shows "0.00GB"
     in last message of request details page (edit)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1248747
     service :quota : Provisioning quota for CPU , Memory and Storage
    doesn't work (edit)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1254882
    Provisioning quota for CPU/Mem/Storage doesn't work
    for cloud providers (edit)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1126934
    [RFE] Quota enforcement based on used space (edit)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1249772
    [RFE] Service :quota : Should be able to apply VM quota to service (edit)

 .../default.yaml                                   |   5 +-
 .../default.yaml                                   |   5 +-
 .../CommonMethods/Quota.class/__class__.yaml       | 173 ++++++++
 .../Quota.class/__methods__/validate_quota.rb      | 481 +++++++++++++++++++++
 .../Quota.class/__methods__/validate_quota.yaml    |  12 +
 .../CommonMethods/Quota.class/service_quota.yaml   |  26 ++
 .../System/CommonMethods/Quota.class/test.yaml     |  24 +
 .../System/CommonMethods/Quota.class/vm_quota.yaml |  26 ++
 8 files changed, 750 insertions(+), 2 deletions(-)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/CommonMethods/Quota.class/__class__.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/CommonMethods/Quota.class/__methods__/validate_quota.rb
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/CommonMethods/Quota.class/__methods__/validate_quota.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/CommonMethods/Quota.class/service_quota.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/CommonMethods/Quota.class/test.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/CommonMethods/Quota.class/vm_quota.yaml
Comment 23 CFME Bot 2015-10-26 23:48:00 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/1250288dd7bc98b8975a4fa264f2fb12addadf66

commit 1250288dd7bc98b8975a4fa264f2fb12addadf66
Author:     Tina Fitzgerald <tfitzger@redhat.com>
AuthorDate: Mon Sep 14 11:35:52 2015 -0400
Commit:     Tina Fitzgerald <tfitzger@redhat.com>
CommitDate: Fri Oct 23 15:48:27 2015 -0400

    Consolidating quota code to help facilitate resolution for the
    following issues:
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1254211
     when quota exceeds Group Allocated Memory always shows "0.00GB"
     in last message of request details page (edit)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1248747
     service :quota : Provisioning quota for CPU , Memory and Storage
    doesn't work (edit)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1254882
    Provisioning quota for CPU/Mem/Storage doesn't work
    for cloud providers (edit)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1126934
    [RFE] Quota enforcement based on used space (edit)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1249772
    [RFE] Service :quota : Should be able to apply VM quota to service (edit)

 .../default.yaml                                   |   5 +-
 .../default.yaml                                   |   5 +-
 .../CommonMethods/Quota.class/__class__.yaml       | 173 ++++++++
 .../Quota.class/__methods__/validate_quota.rb      | 481 +++++++++++++++++++++
 .../Quota.class/__methods__/validate_quota.yaml    |  12 +
 .../CommonMethods/Quota.class/service_quota.yaml   |  26 ++
 .../System/CommonMethods/Quota.class/test.yaml     |  24 +
 .../System/CommonMethods/Quota.class/vm_quota.yaml |  26 ++
 8 files changed, 750 insertions(+), 2 deletions(-)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/CommonMethods/Quota.class/__class__.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/CommonMethods/Quota.class/__methods__/validate_quota.rb
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/CommonMethods/Quota.class/__methods__/validate_quota.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/CommonMethods/Quota.class/service_quota.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/CommonMethods/Quota.class/test.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/CommonMethods/Quota.class/vm_quota.yaml

Note You need to log in before you can comment on or make changes to this bug.